# Copyright (c) 2019  Dave Love, University of Manchester
# Licence: MIT, per Fedora default

%global packname  float
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.2.4
Release:          1%{?dist}
Summary:          32-bit floats for R
License:          BSD
URL:              https://github.com/wrathematics/float
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%(echo %version | awk -F'\\.' '{print $1"."$2"-"$3}').tar.gz
# Detect R using openblas (el8, f33)
Patch1:		  R-float-conf.patch
BuildRequires:    R-devel openblas-devel autoconf
# Mollify fedora-review
Requires:         R-core


%description
float is a single precision (aka float) matrix framework for R.  Base
R has no single precision type.  Its "numeric" vectors/matrices are
double precision (or possibly integer).  Floats have half the
precision of double precision data, for a pretty obvious performance
vs accuracy tradeoff.


%prep
%setup -q -c -n %{packname}
%patch1 -p1
rm -r float/src/lapack
cd float; autoconf


%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}

rm -rf %{buildroot}%{_libdir}/R/library/R.css
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so Makevars)


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NAMESPACE
%doc %{rlibdir}/%{packname}/help
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/INDEX
%license %{packname}/LICENSE
%exclude %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/benchmarks
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/include
%{rlibdir}/%{packname}/libs


%changelog
* Mon Aug 10 2020 Dave Love <loveshack@fedoraproject.org> - 0.2.4-1
- New version
- Fix BLAS/LAPACK SP detection.

* Thu Apr 18 2019 Dave Love <loveshack@fedoraproject.org> - 0.2.2-1
- Initial packaging
